<?xml version="1.0" encoding="UTF-8"?> 
<TWORKOUT_DAILY desc_thai="ทะเบียนประวัติพนักงาน ส่วนของการทดค่า" desc_eng="Employee Unused Table" editcheck="true" mainhelp="TWORKOUT_DAILYHELP" referhelp="TWORKOUT_DAILYHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" config_field="">>
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>EmployeeID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>EmployeeID</ALT_ENG>
			</COMPONENT>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>CompanyID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>CompanyID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<DATEID lang="A" encrypt="false" log="false" type="Date">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Date</DESC_ENG>
			<DESC_THAI>วันที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่</ALT_THAI>
				<ALT_ENG>Date</ALT_ENG>
			</COMPONENT>
		</DATEID>
		<DOCID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Document No</DESC_ENG>
			<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
				<ALT_ENG>Document No</ALT_ENG>
			</COMPONENT>
		</DOCID>
		<DISTANCE lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Distance (Km.)</DESC_ENG>
			<DESC_THAI>ระยะทาง (กม.)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Distance (Km.)</ALT_ENG>
				<ALT_THAI>ระยะทาง (กม.)</ALT_THAI>
			</COMPONENT>
		</DISTANCE>
		<DIRECT_CON lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Direct Construction Allowance</DESC_ENG>
			<DESC_THAI>Direct Construction Allowance</DESC_THAI>
			<COMPONENT type="text">
				<VALUE>0.00</VALUE>
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Direct Construction Allowance</ALT_ENG>
				<ALT_THAI>Direct Construction Allowance</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</DIRECT_CON>
		<UP_COUNTRY lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Up Country Allowance</DESC_ENG>
			<DESC_THAI>Up Country Allowance</DESC_THAI>
			<COMPONENT type="text">
				<VALUE>0.00</VALUE>
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Up Country Allowance</ALT_ENG>
				<ALT_THAI>Up Country Allowance</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</UP_COUNTRY>
		<GAS_B lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Gasoline (Baht)</DESC_ENG>
			<DESC_THAI>ค่าน้ำมัน (บาท)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Gasoline (Baht)</ALT_ENG>
				<ALT_THAI>ค่าน้ำมัน (บาท)</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</GAS_B>
		<GAS_L lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Gasoline (Litre)</DESC_ENG>
			<DESC_THAI>ค่าน้ำมัน (ลิตร)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Gasoline (Litre)</ALT_ENG>
				<ALT_THAI>ค่าน้ำมัน (ลิตร)</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</GAS_L>
		<EXPRESS_WAY lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Express Way</DESC_ENG>
			<DESC_THAI>ค่าทางด่วน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Express Way</ALT_ENG>
				<ALT_THAI>ค่าทางด่วน</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</EXPRESS_WAY>
		<PARKING lang="A" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Parking</DESC_ENG>
			<DESC_THAI>ค่าจอดรถ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Parking</ALT_ENG>
				<ALT_THAI>ค่าจอดรถ</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONKEYUP>checkComma(this,2);</ONKEYUP>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</PARKING>
		<KM lang="A" encrypt="false" verify="true" log="false" type="Integer">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Kilometers</DESC_ENG>
			<DESC_THAI>กิโลเมตร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Kilometers</ALT_ENG>
				<ALT_THAI>กิโลเมตร</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				 <ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
                <ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</KM>
		<APPROVE_STATUS lang="A" encrypt="false" log="false" type="String">
            <WIDTH>1</WIDTH>
            <DESC_ENG>Approve Status</DESC_ENG>
            <DESC_THAI>สถานะอนุมัติ</DESC_THAI>
            <COMPONENT type="radio">
                <MAXSIZE>1</MAXSIZE>
                <SIZE>1</SIZE>
                <ALT_ENG>Approve Status</ALT_ENG>
                <ALT_THAI>สถานะอนุมัติ</ALT_THAI>
                <VALIDCODE>YESNO</VALIDCODE>
                <DEFAULTVALUE>0</DEFAULTVALUE>
            </COMPONENT>
        </APPROVE_STATUS>
	</FIELD>
	
	<RELATION>
	</RELATION>
</TWORKOUT_DAILY>
